package com.muyu.common.core.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum SystemYesNo {

    YES("Y","是"),NO("N","否");

    private final String code;
    private final String info;

    SystemYesNo(String code,String info){
        this.code=code;
        this.info=info;
    }

    public static boolean isCode(String code){
        return Arrays.stream(values())
                .map(SystemYesNo::getCode)
                .anyMatch(s -> s.equals(code));
    }


}
